Ignore:
Timestamp:
09/07/2021 09:01:23 PM (3 years ago)
Author:
Pierre Labastie <pierre.labastie@…>
Branches:
11.1, 11.1-rc1, 11.2, 11.2-rc1, 11.3, 11.3-rc1, 12.0, 12.0-rc1, 12.1, 12.1-rc1, arm, bdubbs/gcc13, multilib, renodr/libudev-from-systemd, s6-init, trunk, xry111/arm64, xry111/arm64-12.0, xry111/clfs-ng, xry111/lfs-next, xry111/loongarch, xry111/loongarch-12.0, xry111/loongarch-12.1, xry111/mips64el, xry111/pip3, xry111/rust-wip-20221008, xry111/update-glibc
Children:
408fb782
Parents:
e7fb2ca
Message:

Remove spaces at end of lines - bootscripts

Location:
bootscripts/lfs/init.d
Files:
11 edited

Legend:

Unmodified
Added
Removed
  • bootscripts/lfs/init.d/checkfs

    re7fb2ca ra44ae577  
    6262         log_failure_msg "${msg}"
    6363
    64          log_info_msg "Press Enter to continue..." 
     64         log_info_msg "Press Enter to continue..."
    6565         wait_for_user
    6666         /etc/rc.d/init.d/halt stop
     
    7070
    7171      if [ -f /forcefsck ]; then
    72          msg="/forcefsck found, forcing file" 
     72         msg="/forcefsck found, forcing file"
    7373         msg="${msg} system checks as requested."
    7474         log_success_msg "$msg"
     
    109109         log_failure_msg "$msg"
    110110
    111          log_info_msg "Press Enter to continue..." 
     111         log_info_msg "Press Enter to continue..."
    112112         wait_for_user
    113113         reboot -f
     
    126126         log_failure_msg "$msg"
    127127
    128          log_info_msg "Press Enter to continue..." 
     128         log_info_msg "Press Enter to continue..."
    129129         wait_for_user
    130130         /etc/rc.d/init.d/halt stop
  • bootscripts/lfs/init.d/cleanfs

    re7fb2ca ra44ae577  
    2323# Short-Description:   Cleans temporary directories early in the boot process.
    2424# Description:         Cleans temporary directories /run, /var/lock, and
    25 #                      optionally, /tmp.  cleanfs also creates /run/utmp 
     25#                      optionally, /tmp.  cleanfs also creates /run/utmp
    2626#                      and any files defined in /etc/sysconfig/createfiles.
    2727# X-LFS-Provided-By:   LFS
     
    3131
    3232# Function to create files/directory on boot.
    33 create_files() 
     33create_files()
    3434{
    3535   # Input to file descriptor 9 and output to stdin (redirection)
     
    6464                     mknod "${name}" p
    6565                     ;;
    66                   *) 
    67                      log_warning_msg "\nUnknown device type: ${dtype}" 
     66                  *)
     67                     log_warning_msg "\nUnknown device type: ${dtype}"
    6868                     ;;
    6969               esac
    7070               ;;
    7171            *)
    72                log_warning_msg "\nUnknown type: ${type}" 
     72               log_warning_msg "\nUnknown type: ${type}"
    7373               continue
    7474               ;;
     
    8888case "${1}" in
    8989   start)
    90       log_info_msg "Cleaning file systems:" 
     90      log_info_msg "Cleaning file systems:"
    9191
    9292      if [ "${SKIPTMPCLEAN}" = "" ]; then
    93          log_info_msg2 " /tmp" 
     93         log_info_msg2 " /tmp"
    9494         cd /tmp &&
    9595         find . -xdev -mindepth 1 ! -name lost+found -delete || failed=1
  • bootscripts/lfs/init.d/console

    re7fb2ca ra44ae577  
    3333[ -r /etc/sysconfig/console ] && . /etc/sysconfig/console
    3434
    35 is_true() 
     35is_true()
    3636{
    3737   [ "$1" = "1" ] || [ "$1" = "yes" ] || [ "$1" = "true" ]
     
    4444      # See if we need to do anything
    4545      if [ -z "${KEYMAP}"         ] && [ -z "${KEYMAP_CORRECTIONS}" ] &&
    46          [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&     
    47          ! is_true "${UNICODE}"; then 
     46         [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&
     47         ! is_true "${UNICODE}"; then
    4848         exit 0
    4949      fi
     
    8686         loadkeys ${KEYMAP} >/dev/null 2>&1 ||
    8787         failed=1
    88      
     88
    8989      [ -z "${KEYMAP_CORRECTIONS}" ] ||
    9090         loadkeys ${KEYMAP_CORRECTIONS} >/dev/null 2>&1 ||
     
    9898      # If any of the commands above failed, the trap at the
    9999      # top would set $failed to 1
    100       ( exit $failed ) 
     100      ( exit $failed )
    101101      evaluate_retval
    102102
    103103      exit $failed
    104       ;;             
     104      ;;
    105105
    106    *)                 
     106   *)
    107107      echo "Usage:  ${0} {start}"
    108       exit 1         
    109       ;;             
     108      exit 1
     109      ;;
    110110esac
    111111
  • bootscripts/lfs/init.d/modules

    re7fb2ca ra44ae577  
    3838      egrep -qv '^($|#)' /etc/sysconfig/modules || exit 0
    3939
    40       log_info_msg "Loading modules:" 
     40      log_info_msg "Loading modules:"
    4141
    4242      # Only try to load modules if the user has actually given us
     
    5555         # Print the module name if successful, otherwise take note.
    5656         if [ $? -eq 0 ]; then
    57             log_info_msg2 " ${module}" 
     57            log_info_msg2 " ${module}"
    5858         else
    5959            failedmod="${failedmod} ${module}"
     
    6464      log_success_msg2
    6565
    66       # Print a failure message with a list of any modules that 
     66      # Print a failure message with a list of any modules that
    6767      # may have failed to load.
    6868      if [ -n "${failedmod}" ]; then
    69          log_failure_msg "Failed to load modules:${failedmod}" 
     69         log_failure_msg "Failed to load modules:${failedmod}"
    7070         exit 1
    7171      fi
  • bootscripts/lfs/init.d/mountvirtfs

    re7fb2ca ra44ae577  
    4040      chmod 1777 /run/shm /run/lock
    4141
    42       log_info_msg "Mounting virtual file systems: ${INFO}/run" 
     42      log_info_msg "Mounting virtual file systems: ${INFO}/run"
    4343
    4444      if ! mountpoint /proc >/dev/null; then
     
    4848
    4949      if ! mountpoint /sys >/dev/null; then
    50          log_info_msg2 " ${INFO}/sys" 
     50         log_info_msg2 " ${INFO}/sys"
    5151         mount -o nosuid,noexec,nodev /sys || failed=1
    5252      fi
    5353
    5454      if ! mountpoint /dev >/dev/null; then
    55          log_info_msg2 " ${INFO}/dev" 
     55         log_info_msg2 " ${INFO}/dev"
    5656         mount -o mode=0755,nosuid /dev  || failed=1
    5757      fi
    5858
    5959      ln -sfn /run/shm /dev/shm
    60      
     60
    6161      (exit ${failed})
    6262      evaluate_retval
  • bootscripts/lfs/init.d/network

    re7fb2ca ra44ae577  
    4444   stop)
    4545      # Unmount any network mounted file systems
    46        umount --all --force --types nfs,cifs,nfs4 
     46       umount --all --force --types nfs,cifs,nfs4
    4747
    4848      # Reverse list
  • bootscripts/lfs/init.d/rc

    re7fb2ca ra44ae577  
    1919   log_failure_msg
    2020   # $i is set when called
    21    MSG="FAILURE:\n\nYou should not be reading this error message.\n\n" 
     21   MSG="FAILURE:\n\nYou should not be reading this error message.\n\n"
    2222   MSG="${MSG}It means that an unforeseen error took place in\n"
    2323   MSG="${MSG}${i},\n"
    2424   MSG="${MSG}which exited with a return value of ${error_value}.\n"
    25  
     25
    2626   MSG="${MSG}If you're able to track this error down to a bug in one of\n"
    2727   MSG="${MSG}the files provided by the ${DISTRO_MINI} book,\n"
     
    3737   # $i is set when called
    3838   if [ ! -f ${i} ]; then
    39       log_warning_msg "${i} is not a valid symlink." 
     39      log_warning_msg "${i} is not a valid symlink."
    4040      SCRIPT_STAT="1"
    4141   fi
     
    103103
    104104if [ ! -d /etc/rc.d/rc${runlevel}.d ]; then
    105    log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n" 
     105   log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n"
    106106   exit 1
    107107fi
     
    110110
    111111# Note: In ${LOGLEVEL:-7}, it is ':' 'dash' '7', not minus 7
    112 if [ "$runlevel" == "S" ]; then 
    113    [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console 
    114    dmesg -n "${LOGLEVEL:-7}" 
     112if [ "$runlevel" == "S" ]; then
     113   [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console
     114   dmesg -n "${LOGLEVEL:-7}"
    115115fi
    116116
     
    226226if [ "${previous}" == "N" -a  "${runlevel}" != "S" ]; then
    227227   cat $BOOTLOG >> /var/log/boot.log
    228      
     228
    229229   # Mark the end of boot
    230230   echo "--------" >> /var/log/boot.log
    231    
     231
    232232   # Remove the temporary file
    233233   rm -f $BOOTLOG 2> /dev/null
  • bootscripts/lfs/init.d/setclock

    re7fb2ca ra44ae577  
    1414
    1515### BEGIN INIT INFO
    16 # Provides:           
     16# Provides:
    1717# Required-Start:
    1818# Should-Start:        modules
  • bootscripts/lfs/init.d/swap

    re7fb2ca ra44ae577  
    4949
    5050   status)
    51       log_success_msg "Retrieving swap status." 
     51      log_success_msg "Retrieving swap status."
    5252      swapon -s
    5353      ;;
  • bootscripts/lfs/init.d/udev

    re7fb2ca ra44ae577  
    6161      # If any LVM based partitions are on the system, ensure they
    6262      # are activated so they can be used.
    63       if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi 
     63      if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi
    6464
    65       log_success_msg2 
     65      log_success_msg2
    6666      ;;
    6767
  • bootscripts/lfs/init.d/udev_retry

    re7fb2ca ra44ae577  
    88#               DJ Lucas - dj@linuxfromscratch.org
    99# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
    10 #               Bryan Kadzban - 
     10#               Bryan Kadzban -
    1111#
    1212# Version     : LFS 7.0
     
    4040      # From Debian: "copy the rules generated before / was mounted
    4141      # read-write":
    42    
     42
    4343      for file in ${rundir}/tmp-rules--*; do
    4444         dest=${file##*tmp-rules--}
     
    4848      done
    4949
    50       # Re-trigger the uevents that may have failed, 
     50      # Re-trigger the uevents that may have failed,
    5151      # in hope they will succeed now
    5252      /bin/sed -e 's/#.*$//' /etc/sysconfig/udev_retry | /bin/grep -v '^$' | \
Note: See TracChangeset for help on using the changeset viewer.